List connected social accounts
GET
/socialsCreator keys return their own connected social accounts. Agency keys must supply creator_id for a creator in their roster.
Authorization
ApiKey AuthorizationBearer <token>
Public API key from creator or agency settings. The complete secret is shown once.
In: header
Query Parameters
creator_id?string
Required for agency keys; creator keys infer the creator from the key.
Match
^[a-fA-F0-9]{24}$platform?string
Value in
- "instagram"
- "tiktok"
- "youtube"
- "facebook"
- "linkedin"
- "twitter"
- "x"
- "twitch"
- "snapchat"
- "threads"
cursor?string
limit?integer
Range
1 <= value <= 100Default
25Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/socials"{ "request_id": "string", "data": [ { "id": "string", "platform": "string", "username": "string", "profile_url": "http://example.com", "status": "string" } ], "meta": { "next_cursor": "string", "limit": 0, "creator_id": "string" }}